#!/bin/bash
version=""
# 配置 hosts 112.5.142.51 harbor-fz-yfzx.bywin.cn
harbor="harbor-fz-yfzx.bywin.cn:13029" # Harbor 的域名地址
harbor_user="harbor_user" # Harbor 的登录用户名
harbor_project_name="bywin-cloud3-web" # 在 Harbor 中创建的项目空间名称
project_name="one-stop-temp-web" # 本项目名称
if [ ! -n "$1" ]
then
 echo "=======未输入版本号,默认:latest=========="
   version="latest"
else
  version=$1
fi
back_version=$(date  "+%Y%m%d%H%M%S") # 备份版本号
echo "=======当前版本号为=>$version=========="
echo "=======打包镜像=========="
docker build -t $project_name .
echo "=======标记=========="
docker tag $project_name:latest $harbor/$harbor_project_name/$project_name:$version
docker tag $project_name:latest $harbor/$harbor_project_name/$project_name:$back_version


echo "#登录"

# password.txt中填写登录 harbor 的密码，变量harbor_user是用户名
cat password.txt | docker login --username $harbor_user --password-stdin  $harbor

echo "#推送"

docker push $harbor/$harbor_project_name/$project_name:$version
docker push $harbor/$harbor_project_name/$project_name:$back_version

echo "=======删除镜像=========="
docker rmi $harbor/$harbor_project_name/$project_name:$version
docker rmi $harbor/$harbor_project_name/$project_name:$back_version
