import { axios } from '@/utils/request'
const api = {
  appAdd:'/system/application/add',
  appDel:'/system/application/deleteById',
  appEdit:'/system/application/edit',
  appEditStatus:'/system/application/editAppStatus',
  appInfo:'/system/application/listDetails',
  appList:'/system/application/list',
}

export default api

export function appAddOrEdit(parameter) {
  return axios({
    url: parameter.sysApplication.applicationId?api.appEdit:api.appAdd,
    method: 'post',
    data:parameter,
    loadingLoader:'appAddOrEdit'
  })
}

export function appEditStatus(parameter) {
  return axios({
    url: api.appEditStatus,
    method: 'post',
    data:parameter,
    loadingLoader:'appEditStatus'
  })
}

export function appInfo(parameter) {
  return axios({
    url: api.appInfo,
    method: 'get',
    params:parameter,
    loadingLoader:'appInfo'
  })
}
export function appDel(data) {
  return axios({
    url: api.appDel,
    method: 'post',
    data:data,
  })
}
export function appList(parameter) {
  return axios({
    url: api.appList,
    method: 'get',
    params:parameter
  })
}
