import { axios } from '@/utils/request'
const api = {
  appAdd:'/system/application/add',
  appDel:'/system/application/deleteById',
  appEdit:'/system/application/edit',
  info:'/system/application/add',
  listAllSort:'/system/serviceSort/listAllSort',
  deleteById:'/system/serviceSort/deleteById',
  editSort:'/system/serviceSort/editSort',
  addSort:'/system/serviceSort/addSort',
}

export default api

export function appAddOrEdit(parameter) {
  return axios({
    url: parameter.id?api.appEdit:api.appAdd,
    method: 'post',
    data:parameter,
    loadingLoader:'appAddOrEdit'
  })
}

export function deleteByIdSort(data) {
  return axios({
    url: api.deleteById,
    method: 'post',
    data:data,
  })
}
export function editSort(parameter) {
  return axios({
    url: api.editSort,
    method: 'post',
    data:parameter,
    loadingLoader:'editSort'
  })
}
export function addSort(parameter) {
  return axios({
    url: api.addSort,
    method: 'post',
    data:parameter,
    loadingLoader:'addSort'
  })
}

export function deleteById(data) {
  return axios({
    url: api.appDel,
    method: 'post',
    data:data,
  })
}
export function listAllSort(parameter) {
  return axios({
    url: api.listAllSort,
    method: 'get',
    params:parameter,
    loadingLoader:'listAllSort'
  })
}
