import { axios } from '@/utils/request'
import { download } from '@/utils/download'

export function getFileList(parameter) {
  return axios({
    url: '/file/file/getInfos',
    method: 'get',
    params: parameter,
    loadingLoader: 'getFileList'
  })
}

export function downloadFile(parameter) {
  return download('/file/file/download', { id: parameter.id }, parameter.fileName)
}

export function preview(parameter) {
  return axios({
    url: '/file/file/viewUrl',
    method: 'get',
    params: parameter
  })
}

// 根据类型获取流程列表
export function getProcList(params) {
  return axios({
    url: '/example/workFlow/procList',
    method: 'get',
    params: params,
    loadingLoader: 'getProcList'
  })
}
// 下一步审批人
export function chooseAssignee(data) {
  return axios({
    url: '/example/workFlow/chooseAssignee',
    method: 'post',
    data: data,
    loadingLoader: 'chooseAssignee'
  })
}

// 查询可退回的节点
export function rejectTaskList(params) {
  return axios({
    url: '/example/workFlow/rejectTaskList',
    method: 'get',
    params: params,
    loadingLoader: 'rejectTaskList'
  })
}

// 查询审批状态
export function getTaskList(params) {
  return axios({
    url: '/example/activiti/workFlow/nodeList',
    method: 'get',
    params: params,
    loadingLoader: 'getTaskList'
  })
}
// 详情审批数据
export function viewTask(params) {
  return axios({
    url: '/example/workFlow/viewTask',
    method: 'get',
    params: params,
    loadingLoader: 'viewTask'

  })
}

// 获取学期
export function getlistXlgl(data) {
  return axios({
    url: '/xg/xgdict/listXlgl',
    method: 'post',
    data: { xqjc: data },
    loadingLoader: 'getXq'
  })
}
