import { axios } from '@/utils/request'
import { download, resolveBlob } from '@/utils/download'

const api = {
  // 专业库
  'zyk-exportZD': '/jw/zyk/export/getZds',
  'zyk-importZD': '/jw/zyk/import/getZds',
  'zyk-exprot': '/jw/zyk/export',
  'zyk-import': '/jw/zyk/import',
  'zyk-downTpl': '/jw/zyk/importTemplate',

  // 教学楼管理
  'jxlxx-exportZD': '/jw/jxlxx/export/getZds',
  'jxlxx-importZD': '/jw/jxlxx/import/getZds',
  'jxlxx-exprot': '/jw/jxlxx/export',
  'jxlxx-import': '/jw/jxlxx/import',
  'jxlxx-downTpl': '/jw/jxlxx/importTemplate',

  // 教室信息管理
  'jsxx-exportZD': '/jw/jsxx/export/getZds',
  'jsxx-importZD': '/jw/jsxx/import/getZds',
  'jsxx-exprot': '/jw/jsxx/export',
  'jsxx-import': '/jw/jsxx/import',
  'jsxx-downTpl': '/jw/jsxx/importTemplate',

  // 教室使用申请
  'jssysq-exportZD': '/jw/jssysq/export/getZds',
  'jssysq-exprot': '/jw/jssysq/export',

  // 奖项申请
  'syxs-downTpl': '/xg/syxs/importTemplate',
  'syxs-importZD': '/xg/syxs/import/getZds',
  'syxs-import': '/xg/syxs/import',
  'syxs-exportZD': '/xg/syxs/export/getZds',
  'syxs-exprot': '/xg/syxs/export',
  'syxs-audit': '/xg/syxs/updateAudit',
  'ygzxjx-downTpl': '/xg/ygzx/importTemplate',
  'ygzxwx-downTpl': '/xg/ygzx/importYgzxTemplate',
  'ygzx-importZD': '/xg/ygzx/import/getZds',
  'ygzx-import': '/xg/ygzx/import',
  'ygzx-exportZD': '/xg/ygzx/export/getZds',
  'ygzx-exprot': '/xg/ygzx/export',
  'ygzx-audit': '/xg/syxs/updateAudit',
  // 勤工助学
  'zggs-exportZD': '/xg/zggs/export/getZds', // 在岗工时管理
  'zggs-downTpl': '/xg/zggs/importTemplate',
  'zggs-exprot2': '/xg/zggs/export2', // 导出勤工俭学月报销工资表
  'zggs-exprot3': '/xg/zggs/export3', // 导出勤工俭学月报销工资表

  'ygxsgl-importZD': '/xg/qgzxsq/import/getZds', // 在岗工时管理
  'ygxsgl-exportZD': '/xg/qgzxsq/export/getZds', // 在岗工时管理
  'ygxsgl-downTpl': '/xg/qgzxsq/importTemplate',
  'ygxsgl-import': '/xg/qgzxsq/import',
  'ygxsgl-exprot': '/xg/qgzxsq/export',
  // 学工申请
  // 打印
  'qjsq-print': '/xg/qjsq/downApply/', // 请假申请表
  'mjxsq-print': '/xg/mjxsq/downApply/', // 免军训申请表
  'mjxsq-undoApply': '/xg/mjxsq/undoApply', // 免军训撤销表
  'jqlxsq-print': '/xg/jqlxsq/downApply/', // 假期留校申请表
  'jqtqfxsq-print': '/xg/jqtqfxsq/downApply/', // 提前返校申请表

  // 获取导出字段
  'qjsq-exportZD': '/xg/qjsq/export/getZds', // 请假申请导出字段
  'mjxsq-exportZD': '/xg/mjxsq/export/getZds',
  'jqtqfxsq-exportZD': '/xg/jqtqfxsq/export/getZds',
  'jqlxsq-exportZD': '/xg/jqlxsq/export/getZds',
  // 综合评测
  'dytj-exportZD': '/xg/dytj/export/getZds', // 德育填报
  'zyxx-exportZD': '/xg/zyxx/export/getZds', // 智育填报
  'pm-exportZD': '/xg/pm/export/getZds', // 排名
  'dytb-exportZD': '/xg/dytb/export/getZds', // 排名
  'dytb-importZD': '/xg/dytb/import/getZds',
  'qjsq-importZD': '/xg/qjsq/import/getZds',
  'mjxsq-importZD': '/xg/mjxsq/import/getZds',
  'jqtqfxsq-importZD': '/xg/jqtqfxsq/import/getZds',
  'jqlxsq-importZD': '/xg/jqlxsq/import/getZds',
  'pm-importZD': '/xg/pm/import/getZds',
  // 导出数据
  'qjsq-exprot': '/xg/qjsq/export',
  'mjxsq-exprot': '/xg/mjxsq/export',
  'jqlxsq-exprot': '/xg/jqlxsq/export',
  'jqtqfxsq-exprot': '/xg/jqtqfxsq/export',
  'dytj-exprot': '/xg/dytj/export', // 德育填报
  'zyxx-exprot': '/xg/zyxx/export', // 智育填报
  'pm-exprot': '/xg/pm/export', // 排名
  'dytb-exprot': '/xg/dytb/export', // 德育填报
  // 下载模板
  'qjsq-downTpl': '/xg/qjsq/importTemplate',
  'mjxsq-downTpl': '/xg/mjxsq/importTemplate',
  'jqlxsq-downTpl': '/xg/jqlxsq/importTemplate',
  'jqtqfxsq-downTpl': '/xg/jqtqfxsq/importTemplate',
  'dytb-downTpl': '/xg/dytb/importTemplate',
  'pm-downTpl': '/xg/pm/importTemplate',
  // 导入文件
  'qjsq-import': '/xg/qjsq/import',
  'mjxsq-import': '/xg/mjxsq/import',
  'jqlxsq-import': '/xg/jqlxsq/import',
  'jqtqfxsq-import': '/xg/jqtqfxsq/import',
  'dytb-import': '/xg/dytb/import',
  'pm-import': '/xg/pm/import',
  // 批量审批
  'qjsq-audit': '/xg/qjsq/updateAudit',
  'mjxsq-audit': '/xg/mjxsq/updateAudit',
  'jqlxsq-audit': '/xg/jqlxsq/updateAudit',
  'jqtqfxsq-audit': '/xg/jqtqfxsq/updateAudit',
  'dytb-audit': '/xg/jqlxsq/updateAudit',

  // 图书馆摇号名单
  'yhmd-exportZD': '/tsg/yhmd/export/getZds',
  'yhmd-importZD': '/tsg/yhmd/import/getZds',
  'yhmd-exprot': '/tsg/yhmd/export',
  'yhmd-import': '/tsg/yhmd/import',
  'yhmd-downTpl': '/tsg/yhmd/importTemplate',
  // 图书馆违规名单
  'wgmd-exportZD': '/tsg/wgmd/export/getZds',
  'wgmd-importZD': '/tsg/wgmd/import/getZds',
  'wgmd-exprot': '/tsg/wgmd/export',
  'wgmd-import': '/tsg/wgmd/import',
  'wgmd-downTpl': '/tsg/wgmd/importTemplate',

  // 图书馆违规名单
  'qdhis-exportZD': '/tsg/zwxx/qdhis/export/getZds',
  'qdhis-importZD': '/tsg/zwxx/qdhis/import/getZds',
  'qdhis-exprot': '/tsg/zwxx/qdhis/export',
  'qdhis-import': '/tsg/zwxx/qdhis/import',
  'qdhis-downTpl': '/tsg/zwxx/qdhis/importTemplate'

}

export default api

export function downloadExcel(parameter, key) { // 导出数据
  return download(api[key] || `/jw/${key.split('-')[0]}/export`, parameter)
}

export function downloadTpl(key, parameter) { // 下载模板
  return download(api[key] || `/jw/${key.split('-')[0]}/importTemplate`, parameter)
}

// 下载学工打印数据
export function downloadPrintExcel(key, id) {
  return axios({
    method: 'get',
    url: api[key] + id,
    responseType: 'blob'
  }).then(data => {
    resolveBlob(data, undefined)
  })
    .catch(r => {
      return Promise.reject(r)
    })
}
// 撤销免军训申请
export function undoApplyDrill(key, ids) {
  return axios({
    url: api[key],
    method: 'post',
    data: ids,
  }).then(function (response) {
    console.log(response);
  })
    .catch(function (error) {
      console.log(error);
    })
}

// 批量审批 updateAudit
export function updateAudit(key, ids, type) {
  return axios({
    url: api[key],
    method: 'post',
    data: ids,
    params: type
  })
}

export function importData(data, key) { // 导入数据
  return axios({
    url: api[key] || `/jw/${key.split('-')[0]}/import`,
    method: 'post',
    data,
    loadingTips: '正在导入数据',
    loadingLoader: 'importData'
  })
}

export function getExportZd(key) { // 获取导出字段
  return axios({
    url: api[key] || `/jw/${key.split('-')[0]}/export/getZds`,
    method: 'get'
  })
}

export function getImportZd(data, key) { // 获取导入字段
  return axios({
    url: api[key] || `/jw/${key.split('-')[0]}/import/getZds`,
    method: 'post',
    data
  })
}
