## 流程审批

### 1. 新建流程

产品新建流程。

流程查看在`第三方应用认证/流程中心组件/流程设计` 页面，点击设计查看。

！弹窗流程下一步候选人没有需要后端加节点

**关键参数**

- type-name: 流程分类
- processInstanceId: 流程id, 关联一个完整流程
- taskId: 审批节点id, 多个审批节点组成一个流程id
- taskName: 审批名字, **根据这个判断流程节点**

关键参数的获取,可以在一站式的第三方应用认证中,流程中心组件-流程设计,查看流程分类
通过/api/activiti/workFlow/procList?typeName=XXX 查询对应的流程 id, 审批节点id,审批名称等
发起流程是processParams中填入
procDefKey（调用/api/activiti/flow/list 传入typeName获取）、action（0保存草稿 9提交）、assigneeList参数
发给你们定义的业务后端接口，后端调用WorkFlowUtils工具类去发起

### 2. 组件介绍

1. 按钮

按钮一般和弹窗联动，按钮选择action后打开弹窗

- authority: 后端按钮权限字段

传入ApprovalModal的值

- processInstanceId: 流程实例id
- taskId: 一般工作流结合表单使用，此参数一般为表单的值

常用代码及权限表

*自己发起-保存*时权限按钮一般为编辑，*自己发起-保存*为审批

```vue
 <ApprovalButtons :authority="authority">
  <a-button slot="cancel" @click="handleCancel">取消</a-button>
  <a-button v-if="!disabled" type="primary" slot="edit" :loading="confirmLoading" @click="handleSubmit(0)">保存</a-button>
  <a-button v-if="!disabled" type="primary" slot="edit" :loading="confirmLoading" @click="handleSubmit(9)">提交</a-button>
  <a-button v-if="!disabled" type="primary" slot="che" :loading="confirmLoading" @click="handleSubmit(3)">撤回</a-button>
  <a-button v-if="!disabled" type="primary" slot="tui" :loading="confirmLoading" @click="handleSubmit(4)">退回</a-button>
  <a-button v-if="!disabled" type="primary" slot="approval" :loading="confirmLoading" @click="handleSubmit(2)">拒绝</a-button>
  <a-button v-if="!disabled" type="primary" slot="approval" :loading="confirmLoading" @click="handleSubmit(1)">同意</a-button>
  <a-button v-if="!disabled" type="primary" slot="again" :loading="confirmLoading">重新申请</a-button>
</ApprovalButtons>
<script>
  export default {
    data() {
      return {
        disabled: false,
        action: 0,
        validatedForm: {},
        visible: false,
        confirmLoading: $wait.is('save'),// confirm 保存的loading, 自己填写
      }
    },
    methods: {
      handleSubmit(action) {
        this.form.validate((err, value) => {
          if (!err) {
            this.$refs.approvalModal.startApproval(value, action)
              .then(res => {
                this.confirmed(res)
              })
          }
        })
      }
    }
  }
</script>
```

2. 弹窗

- confirmed: 点击弹窗确认后回调，会把 validatedForm 合并 processParam 作为第一个参数回调
- processParam: 流程参数

```vue
<ApprovalModal
  :type-name="'学籍异动'"
  :processInstanceId="mdl.processInstanceId"
  :taskId="mdl.taskId"
  ref="approvalModal"
/>

<script>
export default {
  confirmed(data) {
    // 带着工作流参数
    save(data).then()
  }
}
</script>
```

3. 流程步骤图

```vue
 <ApprovalProcess
  :processInstanceId="mdl.processInstanceId"
></ApprovalProcess>
```

### 3. 列表筛选

todo 待完善，可能不准

查看审批状态筛选有三个状态, 见`src/utils/constant.js`中的`workflowTodoType`, 一般在查询list的接口，传`listType`参数过滤

能看到审批数据情况

- 待办事项: 自己发起-保存 或 别人发起-审批人是自己 或 别人-拒绝/退回
- 已办事项: 自己发起-提交 或 别人发起-自己同意/退回
- 关于我的: 自己发起-流程结束
