# Excel 导出组件

用于一站式通用的导出组件

```js
// api.js
export function getZds(data) {
  return request({
    url: '/your/api/export/getZds',
    method: 'get',
    params: data,
    loadingLoader: 'loadingLoader'
  })
}
export function getExport(data) {
  return download('/your/api/export', data)
}
// vue
import ExportExcel from '@/components/ExportExcel'
import { getZds, getExport } from '@/api/ExportExcel'
/**
 * zds-api 是一个 axios 请求,接口是获取需要导出的字段,由后端提供,参考getZds的写法
 * export-api 是一个 axios 请求,接口是导出的接口,由后端提供,参考getExport的写法
 * query-params 是页面导出的分页参数和搜索参数
 */
<ExportExcel
  :zds-api="getZds"
  :export-api="getExport"
  :query-params="{ ...pageInfo, ...query }"
/>

```
