import { Col, Divider, Row } from 'ant-design-vue'

/**
 * 简单的ui分割
 */
export default {
  name: 'Format',
  props: {
    split: {// 列数
      type: Number,
      default: 1
    },
    title: {
      type: String,
      default: ''
    },
    gutter: Row.props.gutter
  },
  render() {
    return (
      <Row gutter={this.gutter}>
        {this.title ? <Divider orientation="left">{this.title}</Divider> : null}
        {
          this.$slots.default?.map(item => {
            return (
              <Col span={24 / this.split}>
                {item}
              </Col>
            )
          })
        }
      </Row>
    )
  }
}
