# Excel 导入组件

用于一站式通用的导入组件

```js
// vue
import ImportExcel from '@/components/ImportExcel'
import { downloadTpl, getImportZd, importData } from '@/api/importExport'
/**
 * text
 * currentType 导入的类型,在@/api/importExport中需要先行定义相关类型的接口map
 * zds-api 是一个 axios 请求, 参考@/api/importExport中的写法
 * download-template 是一个 axios 请求, 参考@/api/importExport中的写法
 * import-api 是一个 axios 请求, 参考@/api/importExport中的写法
 * refreshTable 页面列表的刷新方法
 */
<ImportExcel
  text="导入按钮的名称"
  currentType="type"
  :zds-api="getImportZd"
  :download-template="downloadTpl"
  :import-api="importData"
  :refreshTable="() => $refs.table.refresh(true)"
/>

```
