import STable from '@/components/Table'
import { setSorter } from '@/components/_util/util'

export default {
  name: 'SlotTable',
  components: {
    STable
  },
  data() {
    return {
      selectKey: []
    }
  },
  props: {
    columns: Array,
    actionKey: {
      type: String,
      default: 'action'
    },
    excludeKeys: Array | String
  },
  computed: {
    curColumns() {
      return setSorter(this.columns, true, this.actionKey, this.excludeKeys)
    }
  },
  created() {
    console.log('this.columns', this)
    this.selectKey = this.columns.map(item => item.dataIndex)
  },
  methods: {
    refresh(params) {
      this.$refs.table.refresh(params)
    },
    loadData() {
      this.$refs.table.loadData(arguments)
    },
    handleChange(value) {
      console.log('changeValue', value)
      this.selectKey = value
    }
  },
  render(createElement, context) {
    const { columns, curColumns, $attrs, selectKey } = this

    return <s-table
      ref='table'
      columns={curColumns.filter(item => selectKey.includes(item.dataIndex))}
      props={$attrs}
      scopedSlots={this.$scopedSlots}
    >
      <span slot='customTitle'>
        操作
        <a-popover placement='left'>
          <template slot='content'>
            <a-checkbox-group value={selectKey} onchange={this.handleChange}>
              {
                columns.map(item => {
                  return <p style={item.title === '操作' && { display: 'none' }}>
                    < a-checkbox value={item.dataIndex}> {item.title}</a-checkbox>
                  </p>
                })
              }
            </a-checkbox-group>
          </template>
          <a-icon style='color:#000' type='filter' />
        </a-popover>
      </span>
    </s-table>
  }
}
