import { DatePicker } from 'ant-design-vue'

const YearPicker = {
  name: 'YearPicker',
  data () {
    return {
      state: {
        isopen: false,
        time: null
      }
    }
  },
  props: {
  },
  model: {
    prop: 'value',
    event: 'change'
  },
  methods: {
    handlePanelChange (value) {
      const newV = this.$attrs.valueFormat ? value.format(this.$attrs.valueFormat) : value
      this.$emit('change', newV)
      this.setState({
        time: newV,
        isopen: false
      })
    },
    handleOpenChange  (status) {
      if (status) {
        this.setState({ isopen: true })
      } else {
        this.setState({ isopen: false })
      }
    },
    setState  (obj) {
      this.state.isopen = obj.isopen
      this.state.time = obj.time || null
    },
    clearValue () {
      this.$emit('change', null)
      this.setState({
        time: null,
        isopen: false
      })
    }
  },

  render () {
    const { isopen, time } = this.state
    // const { style } = this.$props
    return (
      <div>
        <DatePicker
          attrs={{ ...this.$attrs }}
          props={{ ...this.$props }}
          value={time}
          open={isopen}
          mode="year"
          format="YYYY"
          onOpenChange={this.handleOpenChange}
          onPanelChange={this.handlePanelChange}
          onChange={this.clearValue}
        />
      </div>
    )
  }
}
export default YearPicker
