// eslint-disable-next-line
import { UserLayout, BasicLayout, PageView, AdminView, NavLayout } from '@/layouts'
import { bxAnaalyse } from '@/core/icons'

/**
 * 这里不再保留原来默认的菜单asyncRouterMap
 * https://github.com/sendya/ant-design-pro-vue/blob/master/src/router/generator-routers.js
 */
export const defaultRouterMap = [
  {
    'title': 'menu.dashboard',
    'menuKey': 'error500',
    'path': '/',
    'icon': bxAnaalyse
  }
]
/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      }
    ]
  },
  // {
  //   path: '/example',
  //   component: BasicLayout,
  //   redirect: '/example/workflow',
  //   hidden: true,
  //   children: [
  //     {
  //       path: 'workflow',
  //       name: 'workflow',
  //       component: () => import(/* webpackChunkName: "user" */ '@/views/workflow/index')
  //     }
  //   ]
  // },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  },
  {
    path: '/403',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/403')
  }

]
