// ie polyfill
import 'core-js/stable'
import 'regenerator-runtime/runtime'

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/'
import i18n from './locales'
// import { VueAxios } from './utils/request'
// import ProLayout, { PageHeaderWrapper } from '@ant-design-vue/pro-layout'
// import themePluginConfig from '../config/themePluginConfig'
import Print from 'vue-print-nb'
// import storage from 'store'
import { ACCESS_TOKEN } from '@/store/mutation-types'
import bootstraps from './core/bootstrap'
import './core/lazy_use' // use lazy load components
import './permission' // permission control
import './utils/filter' // global filter
// import 'ant-design-vue/dist/antd.less'
import './global.less' // global style
import VueWait from 'vue-wait'
import { log } from './utils/util'
import cookieUtil from 'js-cookie'
// mock
// import './mock'
Vue.use(Print)

Vue.config.productionTip = false
let instance = null
// mount axios Vue.$http and this.$http
// Vue.use(VueAxios)
// Vue.component('pro-layout', ProLayout)
// Vue.component('page-container', PageHeaderWrapper)
// Vue.component('page-header-wrapper', PageHeaderWrapper)
// window.umi_plugin_ant_themeVar = themePluginConfig.theme
// Loading集中管理控件
Vue.use(VueWait)
const wait = new VueWait({ registerComponents: false })
window.$wait = wait
// 判断是否处于前端环境乾坤
const __qiankun__ = window.__POWERED_BY_QIANKUN__
const appID = '#sub-app-container'

export async function bootstrap(props) {
  log('初始化', 'bootstrap', props)
  Vue.prototype.$actions = props.actions
  Vue.prototype.$utils = props.utils
}

export async function mount({ data = {}, state, appInfo, routerBase } = {}) {
  log('子应用-学工', 'mount')
  window.myLoading.seek(window.myLoading.duration)
  cookieUtil.set(ACCESS_TOKEN, state.token)
  cookieUtil.set('applicationId', appInfo.applicationId)
  router.history.base = routerBase
  router.options.base = routerBase
  store.commit('SET_APP_INFO', appInfo)
  instance = new Vue({
    router,
    store,
    i18n,
    wait,
    created() {
      // 其他设置（如样式)使用主应用的
      this.$store.commit('SET_ROUTER_BASE', routerBase)
      this.$store.commit('SET_TOKEN', state.token)
    },
    render: h => h(App, {
      props: { ...data, ...state }
    })
  }).$mount(appID)
}
export async function unmount() {
  log('子应用-学工-卸载', 'unmount')
  instance.$destroy()
  instance = null
}
// 无qiankun版本执行
const initApp = () => {
  window.myLoading.seek(window.myLoading.duration)
  const APP_ID = 573 // 请配置为本应用的 id
  cookieUtil.set('applicationId', APP_ID)
  store.commit('SET_APP_INFO', { applicationId: APP_ID })
  setTimeout(() => {
    console.log(process.env)
    router.history.base = process.env.VUE_APP_PUBLIC_PATH
    router.options.base = process.env.VUE_APP_PUBLIC_PATH
    new Vue({
      router,
      store,
      i18n,
      wait,
      created: bootstraps,
      render: h => h(App)
    }).$mount(appID)
  }, 500)
}
__qiankun__ || initApp()
