import Vue from 'vue'
import moment from 'moment'
// 已从cdn加载
// import 'moment/locale/zh-cn'
// 通过全局配置调用，这里不再使用
// moment.locale('zh-cn')

Vue.filter('NumberFormat', function (value) {
  if (!value) {
    return '0'
  }
  const intPartFormat = value.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,') // 将整数部分逢三一断
  return intPartFormat
})

Vue.filter('dayjs', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return moment(dataStr).format(pattern)
})

Vue.filter('moment', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return dataStr ? moment(dataStr).format(pattern) : undefined
})

Vue.filter('fromNow', function (date) {
  return moment(date).fromNow()
})
// 给样式加单位
Vue.filter('getStyle', function getStyle(style = {}, unit = 'px') {
  if (typeof style === 'object') {
    const newStyle = {}
    newStyle[style] = style
    Object
      .keys(style)
      .forEach(key => {
        newStyle[key] = typeof style[key] === 'number' ? style[key] + unit : style[key]
      })
    return newStyle
  } else if (typeof style === 'number') {
    return style + unit
  }
  return style
})
