class SimpleMock {
  timeOutTime = 1200
  defaultCallBack = null
  page = {
    pageSize: 10,
    pageNum: 1,
    currPage: 1
  }

  tableRow = (page = this.page, callBack = this.defaultCallBack, timeOut = this.timeOutTime) => {
    Object.assign(page, this.page)
    return new Promise(resolve => {
      setTimeout(() => {
        resolve({
          rows: Array.from(Array(page.pageSize), (v, k) => {
            const d = callBack ? callBack(v, k) : {}
            return {id: k, ...d}
          }),
          total: page.pageSize * 10,
          pageNum: page.pageNum,
          currPage: page.currPage
        })
      }, timeOut)
    })
  }
}

const sMock = new SimpleMock()

export default sMock
